Bug 270389 - Remote operations fail when login name contains backslash
Remote operations fail when login name contains backslash
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
PC Windows 7
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-13 15:30 UTC by Tim-2394
Modified: 2017-04-25 14:33 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
The fix for the recent found regression (wrong name of remote temp dir) (880 bytes, patch)
2017-04-21 10:06 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim-2394 2017-04-13 15:30:55 UTC
Netbeans build/debug operations between Win7 host and RHEL6 remote fails when the login name contains a backslash. Our IT department unfortunately uses the Windows <domain>\<user> format for both Windows and Linux logins. Here is a portion of the IDE log after connecting to the remote "c++ build host" for the user "MW\vmuser2" :

INFO [nativeexecution.support.logger]: [541605 ms.] bash: null: command not found
INFO [org.netbeans.core.network.proxy.ProxyAutoConfig]: findProxyForURL(socket://192.168.88.163:22) returns null.
INFO [null]: Last record repeated again.
WARNING [nativeexecution.support.logger]: [3881026 ms.] Failed to upload pty
WARNING [nativeexecution.support.logger]: [3881026 ms.] File /var/tmp/dlight_MW\vmuser2/f1ef4861/897853008/pty doesnt exist, and cannot be uploaded. Do you have enough privileges?
WARNING [nativeexecution.support.logger]: [3881026 ms.] You could try to use -J-Dcnd.tmpbase=<other base location> to re-define default one.
SEVERE [org.openide.util.Exceptions]
Comment 1 Vladimir Kvashin 2017-04-14 15:22:56 UTC
Thank you for filing the issue. I've just fixed it. 
Fix should be available in NetBeans daily build on Monday; 
a while later it will also be available on 8.2 update centre.

Fixed in cnd-main: 
http://hg.netbeans.org/cnd-main/rev/4dbb1b03aa42
in releases
http://hg.netbeans.org/releases/rev/72f168fefa6f
Comment 2 Quality Engineering 2017-04-16 02:39:23 UTC
Integrated into 'main-silver', will be available in build *201704160002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4dbb1b03aa42
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #270389 - Remote operations fail when login name contains backslash
(transplanted from 72f168fefa6fd0e981e57d325345c202d793075c)
Comment 3 Vladimir Kvashin 2017-04-17 07:18:38 UTC
Fix caused stable regressions in tests.
Comment 4 Vladimir Kvashin 2017-04-17 14:26:38 UTC
Some tests were fixed by changeset 0ce0e0cb52bc on enum.
Unfortunately other tests still fail. Fixing...
Comment 5 Quality Engineering 2017-04-20 01:48:05 UTC
Integrated into 'main-silver', will be available in build *201704200002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/194dce5d5abb
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: additional fix for #270389 - Remote operations fail when login name contains backslash
(transplanted from 61c7d80e381a9e3474a728c7e17f6391ef30efbf)
Comment 6 Vladimir Kvashin 2017-04-21 10:03:44 UTC
There is one more regression: the name of the remote directory where tools like pty, fs_server, etc reside, was previously /var/tmp/dlight_${USER}. Now it is "/var/tmp/dlight_". This can cause conflicts between different users that connect to the same remote machine.
Comment 7 Vladimir Kvashin 2017-04-21 10:06:38 UTC
Created attachment 164153 [details]
The fix for the recent found regression (wrong name of remote temp dir)
Comment 8 Quality Engineering 2017-04-23 01:50:00 UTC
Integrated into 'main-silver', will be available in build *201704230002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/5171e3b5ccd2
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: additional fix for #270389 (Remote operations fail when login name contains backslash) - fixed remote temp dir name
(transplanted from 06027b9d1163124d89d72fe372c55ec9f6153fb5)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo